Channel Profile Get
GET
/platform/v1/channels/{channel_id}/profile
const url = 'https://example.com/platform/v1/channels/1/profile';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/platform/v1/channels/1/profileReturn the WhatsApp business profile (about / address / description / email / websites / vertical / profile_picture_url) — Meta passthrough.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” channel_id
required
Channel Id
integer
Responses
Section titled “ Responses ”Successful Response
Media type application/json
Example generated
exampleValidation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}